# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'blender/zk/version'

Gem::Specification.new do |spec|
  spec.name          = 'blender-zk'
  spec.version       = Blender::Zk::VERSION
  spec.authors       = ['Ranjib Dey']
  spec.email         = ['ranjib@pagerduty.com']
  spec.summary       = %q{Blender-Zookeeper integration}
  spec.description   = %q{Allows zookeeper based locks in blender}
  spec.homepage      = 'https://github.com/PagerDuty/blender-zk'
  spec.license       = 'Apache 2'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.add_dependency 'pd-blender'
  spec.add_dependency 'zk'

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
